package com.landray.kmss.sys.attachment.service.spring;

import java.util.Iterator;
import java.util.List;
import com.landray.kmss.util.ResourceUtil;
import com.landray.kmss.util.StringUtil;
import com.landray.kmss.sys.config.design.SysCfgModuleInfo;
import com.landray.kmss.sys.config.design.SysConfigs;
import java.util.LinkedHashMap;
import java.util.Map;
import javax.servlet.ServletRequest;
import com.landray.kmss.web.taglib.xform.ICustomizeDataSourceWithRequest;

public class WpsCloudAutoSaveNoDataSource implements ICustomizeDataSourceWithRequest
{
    public void setRequest(final ServletRequest request) {
    }
    
    public String getDefaultValue() {
        return null;
    }
    
    public Map<String, String> getOptions() {
        final Map<String, String> map = new LinkedHashMap<String, String>();
        final List<SysCfgModuleInfo> moduleInfoList = SysConfigs.getInstance().getModuleInfoList();
        if (!moduleInfoList.isEmpty()) {
            for (final SysCfgModuleInfo sysCfgModuleInfo : moduleInfoList) {
                String urlPrefix = sysCfgModuleInfo.getUrlPrefix();
                final String messageKey = sysCfgModuleInfo.getMessageKey();
                if (StringUtil.isNull(urlPrefix) && StringUtil.isNull(messageKey)) {
                    continue;
                }
                if (urlPrefix.endsWith("/")) {
                    urlPrefix = urlPrefix.substring(0, urlPrefix.length() - 1);
                }
                String name = ResourceUtil.getString(messageKey);
                if (urlPrefix.contains("km/agreement")) {
                    name = ResourceUtil.getString(String.valueOf(messageKey) + ".alias");
                    if (StringUtil.isNull(name)) {
                        name = ResourceUtil.getString(messageKey);
                    }
                }
                if (StringUtil.isNull(name)) {
                    continue;
                }
                map.put(urlPrefix, name);
            }
        }
        return map;
    }
}
